<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Suitmedia</title>
    <script src="https://cdn.tailwindcss.com"></script>
    <script>
    tailwind.config = {
      theme: {
        extend: {
          colors: {
            'gray': '#7A7A7A',
            'light-gray': '#E8E8E8',
            'white': '#FFFFFF',
            'black': '#000000',
            'blazeOrange': '#FF6700',
          }
        }
      }
    }
  </script>
    <link rel="stylesheet" href="style/style.css">
</head>
<body>
    <header id="header"
        class="fixed w-full bg-blazeOrange py-6 px-36 flex items-center justify-between transition-all duration-300 ease-in-out z-10">
        <img src="image/logo-white.081d3ce.png" alt="suitmedia_logo" class="h-11">
        <nav class="space-x-4">
            <ul class="flex gap-8 text-white">
                <li><a href="#"
                        class="py-2 active:border-b-2 active:border-white focus:border-b-2 focus:border-white hover:border-b-2 hover:border-white">Work</a>
                </li>
                <li><a href="#"
                        class="py-2 active:border-b-2 active:border-white focus:border-b-2 focus:border-white hover:border-b-2 hover:border-white">About</a>
                </li>
                <li><a href="#"
                        class="py-2 active:border-b-2 active:border-white focus:border-b-2 focus:border-white hover:border-b-2 hover:border-white">Services</a>
                </li>
                <li><a href="#"
                        class="py-2 active:border-b-2 active:border-white focus:border-b-2 focus:border-white hover:border-b-2 hover:border-white">Ideas</a>
                </li>
                <li><a href="#"
                        class="py-2 active:border-b-2 active:border-white focus:border-b-2 focus:border-white hover:border-b-2 hover:border-white">Careers</a>
                </li>
                <li><a href="#"
                        class="py-2 active:border-b-2 active:border-white focus:border-b-2 focus:border-white hover:border-b-2 hover:border-white">Contact</a>
                </li>
            </ul>
        </nav>
    </header>

    <main>
        <!-- Banner -->
        <section class="relative overflow-hidden skew-container">
            <img src="image/ideas-illustration.png" alt="Banner Image" class="object-cover">
            <div class="absolute top-1/2 left-1/2 transform -translate-x-1/2 -translate-y-1/2 text-center text-white">
                <h1 class="text-5xl font-medium">Ideas</h1>
                <p class="text-xl">Where all our great things begin</p>
            </div>
        </section>

        <!-- List Post -->
        <section class="mx-[4.6rem] my-12">
            <div class="flex items-center justify-between font-medium me-2">
                <p>Showing 1 - 10 of 100</p>
                <div class="flex gap-8 font-medium">
                    <div class="flex items-center">
                        <p>Show per page:</p>
                        <button id="page-btn" class="relative flex justify-center items-center border rounded-2xl ms-2">
                            <p class="ps-8 pe-6 py-1">10</p>
                            <img src="image/drop-btn.png" alt="dropBtn" class="h-2 w-3 me-2">
                            <div id="page-field" class="absolute hidden top-full min-w-full w-max bg-white shadow mt-1 rounded transition">
                                <ul class="text-left rounded border">
                                    <li id="page-option" class="px-4 py-1 hover:bg-light-gray border-b">10</li>
                                    <li id="page-option" class="px-4 py-1 hover:bg-light-gray border-b">20</li>
                                    <li id="page-option" class="px-4 py-1 hover:bg-light-gray border-b">50</li>
                                </ul>
                            </div>
                        </button>
                    </div>
                    <div class="flex items-center">
                        <p>Sort by:</p>
                        <button id="sort-btn" class="relative flex justify-center items-center border rounded-2xl ms-2">
                            <p class="ps-8 pe-6 py-1">Newest</p>
                            <img src="image/drop-btn.png" alt="dropBtn" class="h-2 w-3 me-2">
                            <div id="sort-field" class="absolute hidden top-full min-w-full w-max bg-white shadow mt-1 rounded transition">
                                <ul class="text-left rounded border">
                                    <li id="sort-option" class="px-4 py-1 hover:bg-light-gray border-b">Newest</li>
                                    <li id="sort-option" class="px-4 py-1 hover:bg-light-gray border-b">Latest</li>
                                </ul>
                            </div>
                        </button>
                    </div>
                </div>
            </div>
            <!-- Card -->
            <div id="ideas-container" class="flex flex-wrap mt-12"></div>
        </section>
    </main>


    <script src="script/script.js"></script>
</body>
</html>
